## apache-arrow-adbc-19.tar.gz

=== c/driver_manager/CMakeLists.txt ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

set(ADBC_DRIVER_MANAGER_SHARED_LINK_LIBS ${CMAKE_DL_LIBS})
set(ADBC_DRIVER_MANAGER_STATIC_LINK_LIBS ${CMAKE_DL_LIBS})
# std::filesystem with old g++/clang++ require libstdc++fs/libc++fs.
if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
  if(CMAKE_CXX_COMPILER_VERSION VERSION_LESS "9")
    list(APPEND ADBC_DRIVER_MANAGER_SHARED_LINK_LIBS stdc++fs)
    list(APPEND ADBC_DRIVER_MANAGER_STATIC_LINK_LIBS stdc++fs)
  endif()
elseif(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
  if(CMAKE_CXX_COMPILER_VERSION VERSION_LESS "8")
    list(APPEND ADBC_DRIVER_MANAGER_SHARED_LINK_LIBS c++fs)
    list(APPEND ADBC_DRIVER_MANAGER_STATIC_LINK_LIBS c++fs)
  endif()
endif()

if(WIN32)
  list(APPEND
       ADBC_DRIVER_MANAGER_SHARED_LINK_LIBS
       advapi32
       uuid
       shell32)
  list(APPEND
       ADBC_DRIVER_MANAGER_STATIC_LINK_LIBS
       advapi32
       uuid
       shell32)
endif()

add_arrow_lib(adbc_driver_manager
              SOURCES
              adbc_driver_manager.cc
              OUTPUTS
              ADBC_LIBRARIES
              CMAKE_PACKAGE_NAME
              AdbcDriverManager
              PKG_CONFIG_NAME
              adbc-driver-manager
              SHARED_LINK_LIBS
              ${ADBC_DRIVER_MANAGER_SHARED_LINK_LIBS}
              STATIC_LINK_LIBS
              ${ADBC_DRIVER_MANAGER_STATIC_LINK_LIBS}
              SHARED_LINK_FLAGS
              ${ADBC_LINK_FLAGS})

install(FILES "${REPOSITORY_ROOT}/c/include/adbc.h" DESTINATION include)
install(FILES "${REPOSITORY_ROOT}/c/include/arrow-adbc/adbc.h"
        DESTINATION include/arrow-adbc)

foreach(LIB_TARGET ${ADBC_LIBRARIES})
  target_include_directories(${LIB_TARGET} SYSTEM
                             PRIVATE ${REPOSITORY_ROOT}/c/ ${REPOSITORY_ROOT}/c/include/
                                     ${REPOSITORY_ROOT}/c/vendor
                                     ${REPOSITORY_ROOT}/c/driver)
  target_compile_definitions(${LIB_TARGET} PRIVATE ADBC_EXPORTING)
endforeach()

if(ADBC_BUILD_TESTS)
  if(ADBC_TEST_LINKAGE STREQUAL "shared")
    set(TEST_LINK_LIBS adbc_driver_manager_shared)
  else()
    set(TEST_LINK_LIBS adbc_driver_manager_static)
  endif()

  add_test_case(driver_manager_test
                PREFIX
                adbc
                EXTRA_LABELS
                driver-manager
                SOURCES
                adbc_driver_manager_test.cc
                EXTRA_LINK_LIBS
                adbc_driver_common
                adbc_validation
                ${TEST_LINK_LIBS})
  target_compile_features(adbc-driver-manager-test PRIVATE cxx_std_17)

  if(ADBC_DRIVER_SQLITE)
    target_compile_definitions(adbc-driver-manager-test
                               PRIVATE ADBC_DRIVER_MANAGER_TEST_LIB="${CMAKE_BINARY_DIR}/driver/sqlite/libadbc_driver_sqlite${CMAKE_SHARED_LIBRARY_SUFFIX}"
    )
  endif()
  if(ADBC_DRIVER_MANAGER_TEST_MANIFEST_USER_LEVEL)
    target_compile_definitions(adbc-driver-manager-test
                               PRIVATE ADBC_DRIVER_MANAGER_TEST_MANIFEST_USER_LEVEL=1)
  endif()
  if(ADBC_DRIVER_MANAGER_TEST_MANIFEST_SYSTEM_LEVEL)
    target_compile_definitions(adbc-driver-manager-test
                               PRIVATE ADBC_DRIVER_MANAGER_TEST_MANIFEST_SYSTEM_LEVEL=1)
  endif()
  target_include_directories(adbc-driver-manager-test SYSTEM
                             PRIVATE ${REPOSITORY_ROOT}/c/ ${REPOSITORY_ROOT}/c/include/
                                     ${LIBPQ_INCLUDE_DIRS} ${REPOSITORY_ROOT}/c/driver)

  add_test_case(version_100_compatibility_test
                PREFIX
                adbc
                EXTRA_LABELS
                driver-manager
                SOURCES
                adbc_version_100.c
                adbc_version_100_compatibility_test.cc
                EXTRA_LINK_LIBS
                adbc_validation_util
                ${TEST_LINK_LIBS})
  target_compile_features(adbc-version-100-compatibility-test PRIVATE cxx_std_17)
  target_include_directories(adbc-version-100-compatibility-test SYSTEM
                             PRIVATE ${REPOSITORY_ROOT}/c/ ${REPOSITORY_ROOT}/c/include/
                                     ${LIBPQ_INCLUDE_DIRS} ${REPOSITORY_ROOT}/c/driver)
endif()

=== r/adbcbigquery/DESCRIPTION ===
Package: adbcbigquery
Title: 'Arrow' Database Connectivity ('ADBC') 'BigQuery' Driver
Version: 0.19.0
Authors@R: c(
      person("Dewey", "Dunnington", , "dewey@dunnington.ca", role = c("aut", "cre"),
             comment = c(ORCID = "0000-0002-9415-4582")),
      person("Apache Arrow", email = "dev@arrow.apache.org", role = c("aut", "cph")),
      person("Apache Software Foundation", email = "dev@arrow.apache.org", role = c("cph"))
    )
Description: Provides a developer-facing interface to the 'Arrow' Database
  Connectivity ('ADBC') 'BigQuery' driver  for the purposes of building high-level
  database interfaces for users. 'ADBC' <https://arrow.apache.org/adbc/> is
  an API standard for database access libraries that uses 'Arrow' for result
  sets and query parameters.
License: Apache License (>= 2)
Encoding: UTF-8
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.3.2
Suggests:
    gargle,
    nanoarrow,
    testthat (>= 3.0.0)
SystemRequirements: GNU make, Go (>= 1.21)
Config/testthat/edition: 3
Config/build/bootstrap: TRUE
URL: https://arrow.apache.org/adbc/current/r/adbcbigquery/, https://github.com/apache/arrow-adbc
BugReports: https://github.com/apache/arrow-adbc/issues
Imports: adbcdrivermanager

=== r/adbcdrivermanager/DESCRIPTION ===
Package: adbcdrivermanager
Title: 'Arrow' Database Connectivity ('ADBC') Driver Manager
Version: 0.19.0
Authors@R: c(
      person("Dewey", "Dunnington", , "dewey@dunnington.ca", role = c("aut", "cre"),
             comment = c(ORCID = "0000-0002-9415-4582")),
      person("Apache Arrow", email = "dev@arrow.apache.org", role = c("aut", "cph")),
      person("Apache Software Foundation", email = "dev@arrow.apache.org", role = c("cph"))
    )
Description: Provides a developer-facing interface to 'Arrow' Database
  Connectivity ('ADBC') for the purposes of driver development, driver
  testing, and building high-level database interfaces for users. 'ADBC'
  <https://arrow.apache.org/adbc/> is an API standard for database access
  libraries that uses 'Arrow' for result sets and query parameters.
License: Apache License (>= 2)
Encoding: UTF-8
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.3.2
Suggests:
    testthat (>= 3.0.0),
    withr
Config/testthat/edition: 3
Config/build/bootstrap: TRUE
URL: https://arrow.apache.org/adbc/current/r/adbcdrivermanager/, https://github.com/apache/arrow-adbc
BugReports: https://github.com/apache/arrow-adbc/issues
Imports:
    nanoarrow (>= 0.3.0)

=== r/adbcflightsql/DESCRIPTION ===
Package: adbcflightsql
Title: 'Arrow' Database Connectivity ('ADBC') 'FlightSQL' Driver
Version: 0.19.0
Authors@R: c(
      person("Dewey", "Dunnington", , "dewey@dunnington.ca", role = c("aut", "cre"),
             comment = c(ORCID = "0000-0002-9415-4582")),
      person("Apache Arrow", email = "dev@arrow.apache.org", role = c("aut", "cph")),
      person("Apache Software Foundation", email = "dev@arrow.apache.org", role = c("cph"))
    )
Description: Provides a developer-facing interface to the 'Arrow' Database
  Connectivity ('ADBC') 'FlightSQL' driver  for the purposes of building high-level
  database interfaces for users. 'ADBC' <https://arrow.apache.org/adbc/> is
  an API standard for database access libraries that uses 'Arrow' for result
  sets and query parameters.
License: Apache License (>= 2)
Encoding: UTF-8
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.2.3
Suggests:
    nanoarrow,
    testthat (>= 3.0.0)
SystemRequirements: GNU make, Go (>= 1.21)
Config/testthat/edition: 3
Config/build/bootstrap: TRUE
URL: https://arrow.apache.org/adbc/current/r/adbcflightsql/, https://github.com/apache/arrow-adbc
BugReports: https://github.com/apache/arrow-adbc/issues
Imports: adbcdrivermanager

=== r/adbcpostgresql/DESCRIPTION ===
Package: adbcpostgresql
Title: 'Arrow' Database Connectivity ('ADBC') 'PostgreSQL' Driver
Version: 0.19.0
Authors@R: c(
      person("Dewey", "Dunnington", , "dewey@dunnington.ca", role = c("aut", "cre"),
             comment = c(ORCID = "0000-0002-9415-4582")),
      person("Apache Arrow", email = "dev@arrow.apache.org", role = c("aut", "cph")),
      person("Apache Software Foundation", email = "dev@arrow.apache.org", role = c("cph"))
    )
Description: Provides a developer-facing interface to the 'Arrow' Database
  Connectivity ('ADBC') 'PostgreSQL' driver for the purposes of building high-level
  database interfaces for users. 'ADBC' <https://arrow.apache.org/adbc/> is
  an API standard for database access libraries that uses 'Arrow' for result
  sets and query parameters.
License: Apache License (>= 2)
Encoding: UTF-8
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.3.2
SystemRequirements: libpq
Suggests:
    nanoarrow,
    testthat (>= 3.0.0)
Config/testthat/edition: 3
Config/build/bootstrap: TRUE
URL: https://arrow.apache.org/adbc/current/r/adbcpostgresql/, https://github.com/apache/arrow-adbc
BugReports: https://github.com/apache/arrow-adbc/issues
Imports: adbcdrivermanager

=== r/adbcsnowflake/DESCRIPTION ===
Package: adbcsnowflake
Title: Arrow Database Connectivity ('ADBC') 'Snowflake' Driver
Version: 0.19.0
Authors@R: c(
      person("Dewey", "Dunnington", , "dewey@dunnington.ca", role = c("aut", "cre"),
             comment = c(ORCID = "0000-0002-9415-4582")),
      person("Apache Arrow", email = "dev@arrow.apache.org", role = c("aut", "cph")),
      person("Apache Software Foundation", email = "dev@arrow.apache.org", role = c("cph"))
    )
Description: Provides a developer-facing interface to the 'Arrow' Database
  Connectivity ('ADBC') 'Snowflake' driver for the purposes of building high-level
  database interfaces for users. 'ADBC' <https://arrow.apache.org/adbc/> is
  an API standard for database access libraries that uses 'Arrow' for result
  sets and query parameters.
License: Apache License (>= 2)
Encoding: UTF-8
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.2.3
Suggests:
    nanoarrow,
    openssl,
    testthat (>= 3.0.0)
SystemRequirements: GNU make, Go (>= 1.21)
Config/testthat/edition: 3
Config/build/bootstrap: TRUE
URL: https://arrow.apache.org/adbc/current/r/adbcsnowflake/, https://github.com/apache/arrow-adbc
BugReports: https://github.com/apache/arrow-adbc/issues
Imports: adbcdrivermanager

=== r/adbcsqlite/DESCRIPTION ===
Package: adbcsqlite
Title: 'Arrow' Database Connectivity ('ADBC') 'SQLite' Driver
Version: 0.19.0
Authors@R: c(
      person("Dewey", "Dunnington", , "dewey@dunnington.ca", role = c("aut", "cre"),
             comment = c(ORCID = "0000-0002-9415-4582")),
      person("Apache Arrow", email = "dev@arrow.apache.org", role = c("aut", "cph")),
      person("Apache Software Foundation", email = "dev@arrow.apache.org", role = c("cph"))
    )
Description: Provides a developer-facing interface to the 'Arrow' Database
  Connectivity ('ADBC') 'SQLite' driver for the purposes of building high-level
  database interfaces for users. 'ADBC' <https://arrow.apache.org/adbc/> is
  an API standard for database access libraries that uses 'Arrow' for result
  sets and query parameters.
License: Apache License (>= 2)
Encoding: UTF-8
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.3.2
SystemRequirements: SQLite3
Suggests:
    nanoarrow,
    testthat (>= 3.0.0)
Config/testthat/edition: 3
Config/build/bootstrap: TRUE
URL: https://arrow.apache.org/adbc/current/r/adbcsqlite/, https://github.com/apache/arrow-adbc
BugReports: https://github.com/apache/arrow-adbc/issues
Imports: adbcdrivermanager

=== go/adbc/pkg/Makefile ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

GO_BUILD=go build
RM=rm -f
ifeq ($(shell go env GOOS),linux)
	SUFFIX=so
else ifeq ($(shell go env GOOS),windows)
	SUFFIX=dll
	RM=del
else
	SUFFIX=dylib
endif

GIT_VERSION=$(shell git tag -l --points-at $(shell git rev-list --tags --max-count=1) --sort=-v:refname | head -n 1)
VERSION=$(subst go/adbc/,,$(GIT_VERSION))

DRIVERS := \
	libadbc_driver_bigquery.$(SUFFIX) \
	libadbc_driver_flightsql.$(SUFFIX) \
	libadbc_driver_panicdummy.$(SUFFIX) \
	libadbc_driver_snowflake.$(SUFFIX)

.PHONY: all regenerate
all: $(DRIVERS)

libadbc_driver_%.$(SUFFIX): %
	$(GO_BUILD) -buildvcs=true -tags driverlib -o $@ -buildmode=c-shared -ldflags "-s -w -X github.com/apache/arrow-adbc/go/adbc/driver/internal/driverbase.infoDriverVersion=$(VERSION)" ./$<
	$(RM) $(basename $@).h

regenerate:
	go run gen/main.go -prefix BigQuery -o ./bigquery/ -driver ../driver/bigquery
	go run gen/main.go -prefix FlightSQL -o ./flightsql/ -driver ../driver/flightsql
	go run gen/main.go -prefix PanicDummy -o ./panicdummy/ -driver ../driver/panicdummy
	go run gen/main.go -prefix Snowflake -o ./snowflake/ -driver ../driver/snowflake

clean:
	$(RM) $(DRIVERS)

=== ci/linux-packages/debian/changelog ===
apache-arrow-adbc (19-1) unstable; urgency=low

  * New upstream release.

 -- David Li <li.davidm96@gmail.com>  Wed, 02 Jul 2025 04:22:59 -0000

apache-arrow-adbc (0.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Mon, 26 Dec 2022 02:13:01 -0000

=== ci/linux-packages/debian/control ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

Source: apache-arrow-adbc
Section: devel
Priority: optional
Maintainer: Apache Arrow Developers <dev@arrow.apache.org>
Build-Depends:
  cmake,
  debhelper-compat (= 12),
  gobject-introspection,
  golang | golang-1.21,
  libarrow-glib-dev,
  libgirepository1.0-dev,
  libpq-dev,
  libsqlite3-dev,
  meson,
  tzdata,
  valac
Standards-Version: 4.5.0
Homepage: https://arrow.apache.org/adbc/

Package: libadbc-driver-manager107
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends}
Description: Apache Arrow Database Connectivity (ADBC) driver manager
 .
 This package provides C++ library files.

Package: libadbc-driver-manager-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libadbc-driver-manager107 (= ${binary:Version})
Description: Apache Arrow Database Connectivity (ADBC) driver manager
 .
 This package provides C++ header files.

Package: libadbc-driver-postgresql107
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends}
Description: Apache Arrow Database Connectivity (ADBC) PostgreSQL driver
 .
 This package provides an ADBC driver for PostgreSQL

Package: libadbc-driver-postgresql-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libadbc-driver-postgresql107 (= ${binary:Version})
Description: Apache Arrow Database Connectivity (ADBC) PostgreSQL driver
 .
 This package provides CMake package, pkg-config package and so on.

Package: libadbc-driver-sqlite107
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends}
Description: Apache Arrow Database Connectivity (ADBC) PostgreSQL driver
 .
 This package provides an ADBC driver for PostgreSQL

Package: libadbc-driver-sqlite-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libadbc-driver-sqlite107 (= ${binary:Version})
Description: Apache Arrow Database Connectivity (ADBC) SQLite driver
 .
 This package provides CMake package, pkg-config package and so on.

Package: libadbc-driver-flightsql107
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends}
Description: Apache Arrow Database Connectivity (ADBC) Flight SQL driver
 .
 This package provides an ADBC driver for Flight SQL

Package: libadbc-driver-flightsql-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libadbc-driver-flightsql107 (= ${binary:Version})
Description: Apache Arrow Database Connectivity (ADBC) Flight SQL driver
 .
 This package provides CMake package, pkg-config package and so on.

Package: libadbc-driver-snowflake107
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends}
Description: Apache Arrow Database Connectivity (ADBC) Snowflake driver
 .
 This package provides an ADBC driver for Snowflake

Package: libadbc-driver-snowflake-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libadbc-driver-snowflake107 (= ${binary:Version})
Description: Apache Arrow Database Connectivity (ADBC) Snowflake driver
 .
 This package provides CMake package, pkg-config package and so on.


Package: libadbc-glib1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libadbc-driver-manager107 (= ${binary:Version})
Description: Apache Arrow Database Connectivity (ADBC) driver manager
 .
 This package provides GLib based library files.

Package: gir1.2-adbc-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends:
  ${gir:Depends},
  ${misc:Depends}
Description: Apache Arrow Database Connectivity (ADBC) driver manager
 .
 This package provides GObject Introspection typelib files.

Package: libadbc-glib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  gir1.2-adbc-1.0 (= ${binary:Version}),
  libadbc-driver-manager-dev (= ${binary:Version})
Description: Apache Arrow Database Connectivity (ADBC) driver manager
 .
 This package provides GLib based header files.

Package: libadbc-glib-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
  ${misc:Depends}
Recommends:
  libglib2.0-doc,
  libarrow-glib-doc
Description: Apache Arrow Database Connectivity (ADBC) driver manager
 .
 This package provides documentations.

Package: libadbc-arrow-glib1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libadbc-glib1 (= ${binary:Version})
Description: Apache Arrow Database Connectivity (ADBC) driver manager
 .
 This package provides library files for Apache Arrow GLib integration.

Package: gir1.2-adbc-arrow-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends:
  ${gir:Depends},
  ${misc:Depends},
  gir1.2-adbc-1.0 (= ${binary:Version})
Description: Apache Arrow Database Connectivity (ADBC) driver manager
 .
 This package provides GObject Introspection typelib files for Apache
 Arrow GLib integration.

Package: libadbc-arrow-glib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  gir1.2-adbc-arrow-1.0 (= ${binary:Version}),
  libadbc-glib-dev (= ${binary:Version})
Description: Apache Arrow Database Connectivity (ADBC) driver manager
 .
 This package provides header files for Apache Arrow GLib
 integration.

Package: libadbc-arrow-glib-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
  ${misc:Depends}
Recommends:
  libglib2.0-doc,
  libadbc-glib-doc,
  libarrow-glib-doc
Description: Apache Arrow Database Connectivity (ADBC) driver manager
 .
 This package provides documentations for Apache Arrow GLib
 integration.
